1. Payment
Sipay API Documentation
  • Overview
    • Getting Started
    • Status Codes
    • PreAuthorization / Authorization
    • Webhook
  • Authentication
    • Generating Token
      POST
  • Installments
    • Getting Installment Information
      POST
    • Installments
      POST
  • Commissions
    • Commission
      POST
  • Non Secure Payment
    • Non-Secure Payment Flow
    • Non-Secure Credit Card Payment
      POST
    • Non-Secure Recurring Payment
      POST
    • Non-Secure Insurance Payment
      POST
    • Non-Secure PreAuthorization Payment
      POST
  • 3D Secure Payment
    • 3D Secure Payment Flow
    • 3D Secure Credit Card Payment
      POST
    • 3D Secure Recurring Payment
      POST
    • 3D Secure PreAuthorization Payment
      POST
    • 3D Secure PreAuthorization Payment APP
      POST
    • 3D Secure Agriculture Payment
      POST
  • Payment
    • CheckStatus
      POST
    • ConfirmPayment
      POST
    • CompletePayment
      POST
    • Non-Secure and 3D Payment with Sipay
      POST
    • Refund
      POST
  • Cards
    • Card Registration
    • Pay by Card Token
    • Retrieving Saved Card
    • Edit Saved Card
    • Delete Saved Card
    • NonSecure Payment with Hidden Card
  • HASH
    • Hash Information
  • Recurring
    • Recurring Query Search
    • Recurring Plan Process
    • Recurring Plan Update
  • Cashout
    • Cashout to bank
  • Report
    • Settlement API
  1. Payment

CompletePayment

Testing
Testing Env
https://provisioning.sipay.com.tr
Testing Env
https://provisioning.sipay.com.tr
POST
/ccpayment/payment/complete
Complete Payment Endpoint
Whether the transaction type ispre-auth or auth, the Complete Payment endpoint must be executed if the payment_completed_by parameter is sent as merchant.
The Complete Payment endpoint is used to place a hold on the payment amount. In this step, the returned MD status is important. The Complete Payment endpoint must be called within 15 minutes.
mdStatusAçıklamaAnlamı
0Authentication Failed3D doğrulama başarısız oldu.
1Full AuthenticationKart sahibi başarıyla doğrulandı.
2Cardholder Not EnrolledKart sahibi 3D Secure’a kayıtlı değil.
3Issuer Not EnrolledKartın ait olduğu banka 3D Secure sistemine dahil değil.
4Attempt AuthenticationDoğrulama denenmiş ancak tam doğrulama yapılamamış.
5Authentication UnavailableBanka doğrulama hizmeti şu anda kullanılamıyor.
6System Error3D Secure sisteminde hata oluştu.
7Invalid Card NumberKart numarası hatalı veya geçersiz.
8Fraud / Security BlockGüvenlik veya fraud sebebiyle doğrulama yapılamadı.
If any check fails, the transaction is declined.
ℹ️ At this stage, no funds are withdrawn yet; the amount is only temporarily reserved from the card’s available balance.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

⚪14Failed
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://provisioning.sipay.com.tr/ccpayment/payment/complete' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "merchant_key": "$2y$10$HmRgYosneqcwHj.UH7upGuyCZqpQ1ITgSMj9Vvxn.t6f.Vdf2SQFO",
  "invoice_id": "CPIKQUM29TXMQFF-1769581631",
  "order_id": "VP17695816358637973",
  "status": "complete",
  "hash_key": "a8d7e94e0adc6e3a:25e9:TjjGlQ__7HifPMzfHE8j__Iimi3lE1vm8GLe87X+mWgbmWbFmq5sMsEXMD9SP8ukodl05kFHJpEFV7qrlY9hZUnJHGpsL8dXqSH5pO3YYzqViDwJAFV+z+LUREpepLNP5pTo5iLXXE__f5nBFjXe+Ctuw==",
  "app_lang": "en"
}'
Response Response Example
200 - Success
{
    "status_code": 100,
    "status_description": "Payment Successfully Completed",
    "data": {
        "sipay_status": 1,
        "order_no": "VP17349634893866298",
        "order_id": "VP17349634893866298",
        "invoice_id": "JB7HHTAGWWINPRT-1734963488",
        "status_code": 100,
        "status_description": "Payment Successfully Completed",
        "sipay_payment_method": 1,
        "credit_card_no": "540667****5403",
        "transaction_type": "Auth",
        "payment_status": 1,
        "payment_method": 1,
        "error_code": 100,
        "error": "Payment Successfully Completed",
        "auth_code": "P09424",
        "installment": 1,
        "amount": 800,
        "payment_reason_code": "",
        "payment_reason_code_detail": "",
        "status": "Completed",
        "hash_key": "4e431932f5e8b292:e470:eLjTMboO95+mvF54m4knqa6eD2nc__TnuVeHaxniabeIw9Wgo5qSRVrDdlKw2Y2mpgvT9jRnz30__yJ3d__SsqIP2eJeP3PjHQ+wdRd09Ej838=",
        "original_bank_error_code": "",
        "original_bank_error_description": ""
    }
}
Modified at 2026-03-12 06:55:33
Previous
ConfirmPayment
Next
Non-Secure and 3D Payment with Sipay
Built with